from django.conf import settings
from django.http import Http404, HttpResponse
from django.views import View

from arkindex.metrics.utils import build_metric


class MetricsView(View):
    def get(self, request, *args, **kwargs):
        if settings.PROMETHEUS_METRICS_PORT != int(request.get_port()):
            raise Http404()
        return HttpResponse(
            build_metric(
                "arkindex_instance",
                {
                    "hostname": settings.PUBLIC_HOSTNAME,
                    "env": settings.ARKINDEX_ENV
                }
            ),
            content_type="text/plain"
        )
